StarFormatManagerInternal::NumberFormatter::FormatItem Struct Reference

struct use to store small format item More...

## Public Member Functions

| FormatItem ()
| constructor
bool | updateNumberingProperties (librevenge::RVNGPropertyListVector &vect) const
| try to update the cell's formating

## Public Attributes

librevenge::RVNGString | m_text
| the string
int | m_type
| the type

## Friends

std::ostream & | operator<< (std::ostream &o, FormatItem const &item)
| operator<<

## Detailed Description

struct use to store small format item

## Constructor & Destructor Documentation

## FormatItem()

StarFormatManagerInternal::NumberFormatter::FormatItem::FormatItem | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## updateNumberingProperties()

bool StarFormatManagerInternal::NumberFormatter::FormatItem::updateNumberingProperties | ( | librevenge::RVNGPropertyListVector & | vect | ) | const

try to update the cell's formating

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | FormatItem const & | item )

friend

operator<<

## Member Data Documentation

## m_text

librevenge::RVNGString StarFormatManagerInternal::NumberFormatter::FormatItem::m_text

the string

Referenced by FormatItem(), operator<<, StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

## m_type

int StarFormatManagerInternal::NumberFormatter::FormatItem::m_type

the type

Referenced by FormatItem(), operator<<, StarFormatManager::readNumberFormatter(), and updateNumberingProperties().

The documentation for this struct was generated from the following file:

- StarFormatManager.cxx